package com.wrongcoder.ld48.lowmemory.core.game;

import com.wrongcoder.ld48.lowmemory.core.Registry;
import com.wrongcoder.ld48.lowmemory.core.Screen;

public class Level01 extends AbstractLevelScreen {

	public Level01(final Registry r) {
		super(r);
	}

	@Override
	protected Screen makeRestartedScreen() {
		return new Level01(r);
	}

	@Override
	protected void initLevel() {
		createRobot(200, 24, 120);
		createPlatform(450, 60, 200, 8);
		createApplePickup(160, 24);
		createExitDoor(400, 84);
	}

	@Override
	protected Screen createNextLevel() {
		return new Level02(r);
	}

	@Override
	public String getLevelId() {
		return "01";
	}

	@Override
	public String getLevelTitle() {
		return "Level 1";
	}
}
