package com.wrongcoder.ld48.lowmemory.core.game;

import com.wrongcoder.ld48.lowmemory.core.Registry;
import com.wrongcoder.ld48.lowmemory.core.Screen;

public class Level04 extends AbstractLevelScreen {

	public Level04(final Registry r) {
		super(r);
	}

	@Override
	protected Screen makeRestartedScreen() {
		return new Level04(r);
	}

	@Override
	protected void initLevel() {
		createPlatform(500, 120, 80, 8);
		createRobot(550, 144, 150);
		createPlatform(250, 140, 80, 8);
		createExitDoor(200, 164);
		createCanPickup(320, 164);
		createCanPickup(295, 164);
		createCanPickup(270, 164);
	}

	@Override
	protected Screen createNextLevel() {
		return new Level05(r);
	}

	@Override
	public String getLevelId() {
		return "04";
	}

	@Override
	public String getLevelTitle() {
		return "Level 4";
	}

}
