package com.wrongcoder.ld48.lowmemory.core.game;

import com.wrongcoder.ld48.lowmemory.core.Registry;
import com.wrongcoder.ld48.lowmemory.core.Screen;

public class Level05 extends AbstractLevelScreen {

	public Level05(final Registry r) {
		super(r);
	}

	@Override
	protected Screen makeRestartedScreen() {
		return new Level05(r);
	}

	@Override
	protected void initLevel() {
		createRobot(150, 24, 30);
		createApplePickup(175, 124);
		createExitDoor(550, 24);
	}

	@Override
	protected Screen createNextLevel() {
		return new Level06(r);
	}

	@Override
	public String getLevelId() {
		return "05";
	}

	@Override
	public String getLevelTitle() {
		return "Level 5";
	}

}
