package com.wrongcoder.ld48.lowmemory.core.game;

import com.wrongcoder.ld48.lowmemory.core.Registry;
import com.wrongcoder.ld48.lowmemory.core.Screen;

public class Level07 extends AbstractLevelScreen {

	public Level07(final Registry r) {
		super(r);
	}

	@Override
	protected Screen makeRestartedScreen() {
		return new Level07(r);
	}

	@Override
	protected void initLevel() {
		createRobot(150, 24, 35);
		createCanPickup(175, 124);
		createCanPickup(125, 174);
		createCanPickup(175, 224);
		createCanPickup(125, 274);
		createCanPickup(175, 324);
		createCanPickup(125, 374);
		createExitDoor(550, 24);
	}

	@Override
	protected Screen createNextLevel() {
		return new Level08(r);
	}

	@Override
	public String getLevelId() {
		return "07";
	}

	@Override
	public String getLevelTitle() {
		return "Level 7";
	}

}
