package com.wrongcoder.ld48.lowmemory.core.game;

import com.wrongcoder.ld48.lowmemory.core.Registry;
import com.wrongcoder.ld48.lowmemory.core.Screen;

public class Level09 extends AbstractLevelScreen {

	public Level09(final Registry r) {
		super(r);
	}

	@Override
	protected Screen makeRestartedScreen() {
		return new Level09(r);
	}

	@Override
	protected void initLevel() {
		createPlatform(40, 338, 40, 8);
		createRobot(50, 362, 200);

		createApplePickup(20, 22);
		createCanPickup(40, 22);
		createCanPickup(60, 22);

		createPlatform(425, 215, 64, 64);

		createPlatform(250, 400, 8, 340);
		createPlatform(600, 209, 8, 200);

		createPlatform(730, 190, 70, 8);
		createPlatform(730, 126, 70, 8);
		createExitDoor(750, 150);
	}

	@Override
	protected Screen createNextLevel() {
		return new Level00(r);
	}

	@Override
	public String getLevelId() {
		return "09";
	}

	@Override
	public String getLevelTitle() {
		return "Level 9";
	}

}
