package com.wrongcoder.ld48.lowmemory.core.game;

import com.wrongcoder.ld48.lowmemory.core.Registry;
import com.wrongcoder.ld48.lowmemory.core.Screen;

public class Level03 extends AbstractLevelScreen {

	public Level03(final Registry r) {
		super(r);
	}

	@Override
	protected Screen makeRestartedScreen() {
		return new Level03(r);
	}

	@Override
	protected void initLevel() {
		createRobot(500, 24, 95);
		createApplePickup(450, 24);
		createCanPickup(400, 24);
		createPlatform(200, 25, 80, 16);
		createExitDoor(200, 58);
	}

	@Override
	protected Screen createNextLevel() {
		return new Level04(r);
	}

	@Override
	public String getLevelId() {
		return "03";
	}

	@Override
	public String getLevelTitle() {
		return "Level 3";
	}

}
