package com.wrongcoder.ld48.lowmemory.core.game;

import com.wrongcoder.ld48.lowmemory.core.Registry;
import com.wrongcoder.ld48.lowmemory.core.Screen;

public class Level06 extends AbstractLevelScreen {

	public Level06(final Registry r) {
		super(r);
	}

	@Override
	protected Screen makeRestartedScreen() {
		return new Level06(r);
	}

	@Override
	protected void initLevel() {
		createPlatform(500, 120, 80, 8);
		createRobot(550, 144, 120);
		createPlatform(270, 110, 90, 8);
		createExitDoor(200, 134);
		createApplePickup(320, 134);
		createCanPickup(295, 134);
		createCanPickup(270, 134);
		createPlatform(351, 150, 8, 31);
	}

	@Override
	protected Screen createNextLevel() {
		return new Level07(r);
	}

	@Override
	public String getLevelId() {
		return "06";
	}

	@Override
	public String getLevelTitle() {
		return "Level 6";
	}

}
