package com.wrongcoder.ld48.lowmemory.core.game;

import com.wrongcoder.ld48.lowmemory.core.Registry;
import com.wrongcoder.ld48.lowmemory.core.Screen;

public class Level08 extends AbstractLevelScreen {

	public Level08(final Registry r) {
		super(r);
	}

	@Override
	protected Screen makeRestartedScreen() {
		return new Level08(r);
	}

	@Override
	protected void initLevel() {
		createPlatform(200, 318, 275, 8);
		createRobot(200, 342, 30);
		createApplePickup(585, 300);
		createPlatform(650, 200, 100, 8);
		createExitDoor(250, 24);
	}

	@Override
	protected Screen createNextLevel() {
		return new Level09(r);
	}

	@Override
	public String getLevelId() {
		return "08";
	}

	@Override
	public String getLevelTitle() {
		return "Level 8";
	}

}
